
QGIS Application - Bug report #15832

cannot delete fields on a spatialite table

2016-11-10 10:29 AM - Donovan Cameron

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 23752

Description

I've created a spatialite database with three spatialite tables (pt, ln, ply) and started an editing session on one of the tlus_* tables.

From the attribute table, I can add a field, but the delete field button at the top of the attribute table window is greyed out.

As a result, fields cannot be dropped from the spatialite table.

I've attached a spatialite table for reference.

This is experienced on Windows (OSGeo4W, qgis-rel-dev), MacOSX (KyngChaos), Linux (arch linux, git release branch).

Related issues:

Related to QGIS Application - Feature request # 8143: Add tooltip about why u... Closed 2013-06-24

History

#1 - 2016-11-10 12:05 PM - Nyall Dawson

- Resolution set to up/downstream

- Status changed from Open to Closed

This is a (extremely frustrating and prohibitive) limitation in the sqlite data format which is used by spatialite:

https://sqlite.org/faq.html#q11

#2 - 2016-11-10 06:07 PM - Donovan Cameron

Aw, what a sad story.

It'd be nice to see a portable db format that allows field deletion but also has spatial functions! I guess right now I can't expect the best of both worlds..

#3 - 2016-11-10 10:02 PM - Paolo Cavallini

I think this is solved with a bit of a hack in Spatialite netive GUI. Maybe we could get inspiration from it.

#4 - 2016-11-11 03:08 AM - Saber Razmjooei

See #8143 for more info.
https://sqlite.org/faq.html#q11


#5 - 2017-09-22 09:56 AM - Jürgen Fischer

- Category set to Unknown

Files

imw2016_da3.sqlite.tar.gz 402 KB 2016-11-10 Donovan Cameron
